package com.mortals.xhx.module.matter.model;

import java.util.List;
/**
* 事项扩展查询对象
*
* @author zxfei
* @date 2022-11-23
*/
public class MatterExtQuery extends MatterExtEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项基础表matter id */
    private Long matterIdStart;

    /** 结束 事项基础表matter id */
    private Long matterIdEnd;

    /** 增加 事项基础表matter id */
    private Long matterIdIncrement;

    /** 事项基础表matter id列表 */
    private List <Long> matterIdList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 字段编码 */
    private List<String> fieldCodeList;

    /** 字段名称 */
    private List<String> fieldNameList;

    /** 字段值 */
    private List<String> fieldValueList;

    /** 字段类型 */
    private List<String> fieldTypeList;

    /** 开始 字段排序号 */
    private Long fieldOrderNoStart;

    /** 结束 字段排序号 */
    private Long fieldOrderNoEnd;

    /** 增加 字段排序号 */
    private Long fieldOrderNoIncrement;

    /** 字段排序号列表 */
    private List <Long> fieldOrderNoList;

    /** 开始 事项来源，(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源，(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源，(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源，(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterExtQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterExtQuery> andConditionList;

    public MatterExtQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 事项基础表matter id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项基础表matter id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项基础表matter id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项基础表matter id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项基础表matter id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项基础表matter id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项基础表matter id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项基础表matter id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 字段编码
    * @return fieldCodeList
    */
    public List<String> getFieldCodeList(){
        return this.fieldCodeList;
    }

    /**
    * 设置 字段编码
    * @param fieldCodeList
    */
    public void setFieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
    }
    /**
    * 获取 字段名称
    * @return fieldNameList
    */
    public List<String> getFieldNameList(){
        return this.fieldNameList;
    }

    /**
    * 设置 字段名称
    * @param fieldNameList
    */
    public void setFieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
    }
    /**
    * 获取 字段值
    * @return fieldValueList
    */
    public List<String> getFieldValueList(){
        return this.fieldValueList;
    }

    /**
    * 设置 字段值
    * @param fieldValueList
    */
    public void setFieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
    }
    /**
    * 获取 字段类型
    * @return fieldTypeList
    */
    public List<String> getFieldTypeList(){
        return this.fieldTypeList;
    }

    /**
    * 设置 字段类型
    * @param fieldTypeList
    */
    public void setFieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
    }
    /**
    * 获取 开始 字段排序号
    * @return fieldOrderNoStart
    */
    public Long getFieldOrderNoStart(){
        return this.fieldOrderNoStart;
    }

    /**
    * 设置 开始 字段排序号
    * @param fieldOrderNoStart
    */
    public void setFieldOrderNoStart(Long fieldOrderNoStart){
        this.fieldOrderNoStart = fieldOrderNoStart;
    }

    /**
    * 获取 结束 字段排序号
    * @return $fieldOrderNoEnd
    */
    public Long getFieldOrderNoEnd(){
        return this.fieldOrderNoEnd;
    }

    /**
    * 设置 结束 字段排序号
    * @param fieldOrderNoEnd
    */
    public void setFieldOrderNoEnd(Long fieldOrderNoEnd){
        this.fieldOrderNoEnd = fieldOrderNoEnd;
    }

    /**
    * 获取 增加 字段排序号
    * @return fieldOrderNoIncrement
    */
    public Long getFieldOrderNoIncrement(){
        return this.fieldOrderNoIncrement;
    }

    /**
    * 设置 增加 字段排序号
    * @param fieldOrderNoIncrement
    */
    public void setFieldOrderNoIncrement(Long fieldOrderNoIncrement){
        this.fieldOrderNoIncrement = fieldOrderNoIncrement;
    }

    /**
    * 获取 字段排序号
    * @return fieldOrderNoList
    */
    public List<Long> getFieldOrderNoList(){
        return this.fieldOrderNoList;
    }

    /**
    * 设置 字段排序号
    * @param fieldOrderNoList
    */
    public void setFieldOrderNoList(List<Long> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
    }

    /**
    * 获取 开始 事项来源，(0.政务网，1.自定义)
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源，(0.政务网，1.自定义)
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源，(0.政务网，1.自定义)
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源，(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源，(0.政务网，1.自定义)
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源，(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源，(0.政务网，1.自定义)
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public MatterExtQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterExtQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterExtQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterExtQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterExtQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  事项基础表matter id
    * @param matterId
    */
    public MatterExtQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项基础表matter id
    * @param matterIdStart
    */
    public MatterExtQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项基础表matter id
    * @param matterIdEnd
    */
    public MatterExtQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项基础表matter id
    * @param matterIdIncrement
    */
    public MatterExtQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项基础表matter id
    * @param matterIdList
    */
    public MatterExtQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }


	/**
    * 设置 事项编码
    * @param matterCode
    */
    public MatterExtQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public MatterExtQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public MatterExtQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public MatterExtQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 字段编码
    * @param fieldCode
    */
    public MatterExtQuery fieldCode(String fieldCode){
        setFieldCode(fieldCode);
		return this;
    }

    /**
    * 设置 字段编码
    * @param fieldCodeList
    */
    public MatterExtQuery fieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
		return this;
    }


	/**
    * 设置 字段名称
    * @param fieldName
    */
    public MatterExtQuery fieldName(String fieldName){
        setFieldName(fieldName);
		return this;
    }

    /**
    * 设置 字段名称
    * @param fieldNameList
    */
    public MatterExtQuery fieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
		return this;
    }


	/**
    * 设置 字段值
    * @param fieldValue
    */
    public MatterExtQuery fieldValue(String fieldValue){
        setFieldValue(fieldValue);
		return this;
    }

    /**
    * 设置 字段值
    * @param fieldValueList
    */
    public MatterExtQuery fieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
		return this;
    }


	/**
    * 设置 字段类型
    * @param fieldType
    */
    public MatterExtQuery fieldType(String fieldType){
        setFieldType(fieldType);
		return this;
    }

    /**
    * 设置 字段类型
    * @param fieldTypeList
    */
    public MatterExtQuery fieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
		return this;
    }

    /**
    * 设置  字段排序号
    * @param fieldOrderNo
    */
    public MatterExtQuery fieldOrderNo(Long fieldOrderNo){
	    setFieldOrderNo(fieldOrderNo);
		return this;
    }
	
	 /**
    * 设置 开始 字段排序号
    * @param fieldOrderNoStart
    */
    public MatterExtQuery fieldOrderNoStart(Long fieldOrderNoStart){
		this.fieldOrderNoStart = fieldOrderNoStart;
		return this;
    }

    /**
    * 设置 结束 字段排序号
    * @param fieldOrderNoEnd
    */
    public MatterExtQuery fieldOrderNoEnd(Long fieldOrderNoEnd){
		this.fieldOrderNoEnd = fieldOrderNoEnd;
		return this;
    }

    /**
    * 设置 增加 字段排序号
    * @param fieldOrderNoIncrement
    */
    public MatterExtQuery fieldOrderNoIncrement(Long fieldOrderNoIncrement){
		this.fieldOrderNoIncrement = fieldOrderNoIncrement;
		return this;
    }

    /**
    * 设置 字段排序号
    * @param fieldOrderNoList
    */
    public MatterExtQuery fieldOrderNoList(List<Long> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
		return this;
        }

    /**
    * 设置  事项来源，(0.政务网，1.自定义)
    * @param source
    */
    public MatterExtQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 事项来源，(0.政务网，1.自定义)
    * @param sourceStart
    */
    public MatterExtQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 事项来源，(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public MatterExtQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 事项来源，(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public MatterExtQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param sourceList
    */
    public MatterExtQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterExtQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterExtQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterExtQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterExtQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterExtQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterExtQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterExtQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterExtQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterExtQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}